GDB (xrefs)

Public Attributes | List of all members
gdbarch_registration Struct Reference

## Public Attributes
enum bfd_architecture | bfd_architecture
gdbarch_init_ftype * | init
gdbarch_dump_tdep_ftype * | dump_tdep
struct gdbarch_list * | arches
struct gdbarch_registration * | next

## Detailed Description

Definition at line 5207 of file gdbarch.c.

## Member Data Documentation

## ◆ arches

struct gdbarch_list* gdbarch_registration::arches

Definition at line 5212 of file gdbarch.c.

Referenced by gdbarch_find_by_info(), and gdbarch_printable_names().

## ◆ bfd_architecture

enum bfd_architecture gdbarch_registration::bfd_architecture

Definition at line 5209 of file gdbarch.c.

Referenced by gdbarch_find_by_info(), and gdbarch_printable_names().

## ◆ dump_tdep

gdbarch_dump_tdep_ftype* gdbarch_registration::dump_tdep

Definition at line 5211 of file gdbarch.c.

Referenced by gdbarch_find_by_info().

## ◆ init

gdbarch_init_ftype* gdbarch_registration::init

Definition at line 5210 of file gdbarch.c.

Referenced by gdbarch_find_by_info().

## ◆ next

struct gdbarch_registration* gdbarch_registration::next

Definition at line 5213 of file gdbarch.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), gdbarch_find_by_info(), gdbarch_printable_names(), and gdbarch_register().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbarch.c